域名
GET https://uptime.tedx.net/api/domain-names/
curl --request GET \
--url 'https://uptime.tedx.net/api/domain-names/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime.tedx.net/api/domain-names/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详情 | 描述 |
|---|---|---|
| search | 选修的 钢丝绳 | 搜索字符串。 |
| search_by | 选修的 钢丝绳 | 您在哪个领域搜索。允许的值为:name, target。 |
| is_enabled | 选修的 布尔值 | |
| datetime_field | 选修的 钢丝绳 | 允许的值:datetime, last_datetime, whois_start_datetime, whois_updated_datetime, whois_end_datetime, ssl_start_datetime, ssl_end_datetime |
| datetime_start | 选修的 钢丝绳 | 过滤从此日期时间开始的结果。Y-m-d H:i:s格式。 |
| datetime_end | 选修的 钢丝绳 | 筛选截至该日期时间的结果。Y-m-d H:i:s格式。 |
| order_by | 选修的 钢丝绳 | 结果的排序依据字段。允许的值为:domain_name_id, datetime, last_datetime, name, target, whois_start_datetime, whois_updated_datetime, whois_end_datetime, ssl_start_datetime, ssl_end_datetime。 |
| order_type | 选修的 钢丝绳 | 结果的排序。允许的值为:ASC(升序)和DESC(降序)。 |
| page | 选修的 整数 | 您想要结果的页码。默认为1。 |
| results_per_page | 选修的 整数 | 您希望每页有多少个结果。允许的值为:10, 25, 50, 100, 250, 500, 1000。默认为25。 |
{
"data": [
{
"id": 1,
"project_id": 0,
"name": "AltumCode.Com",
"target": "altumcode.com",
"whois": {
"start_datetime": "2019-12-15 18:03:36",
"updated_datetime": "2020-05-24 15:37:15",
"end_datetime": "2022-12-15 18:03:36",
"registrar": "NAMECHEAP INC",
"nameservers": [
"ns1.digitalocean.com",
"ns2.digitalocean.com",
"ns3.digitalocean.com"
]
},
"whois_notifications": null,
"ssl": {
"organization": "Let's Encrypt",
"common_name": "R3",
"start_datetime": "2021-06-05 14:40:13",
"end_datetime": "2021-09-03 14:40:13"
},
"ssl_notifications": null,
"total_checks": 25,
"last_check_datetime": "2021-07-01 14:42:14",
"next_check_datetime": "2021-07-04 14:42:15",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-17 01:13:18",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptime.tedx.net/api/domain-names?page=1",
"last": "https://uptime.tedx.net/api/domain-names?page=1",
"next": null,
"prev": null,
"self": "https://uptime.tedx.net/api/domain-names?page=1"
}
}
GET https://uptime.tedx.net/api/domain-names/{domain_name_id}
curl --request GET \
--url 'https://uptime.tedx.net/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime.tedx.net/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": 0,
"name": "AltumCode.Com",
"target": "altumcode.com",
"whois": {
"start_datetime": "2019-12-15 18:03:36",
"updated_datetime": "2020-05-24 15:37:15",
"end_datetime": "2022-12-15 18:03:36",
"registrar": "NAMECHEAP INC",
"nameservers": [
"ns1.digitalocean.com",
"ns2.digitalocean.com",
"ns3.digitalocean.com"
]
},
"whois_notifications": null,
"ssl": {
"organization": "Let's Encrypt",
"common_name": "R3",
"start_datetime": "2021-06-05 14:40:13",
"end_datetime": "2021-09-03 14:40:13"
},
"ssl_notifications": null,
"total_checks": 25,
"last_check_datetime": "2021-07-01 14:42:14",
"next_check_datetime": "2021-07-04 14:42:15",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-17 01:13:18",
}
}
POST https://uptime.tedx.net/api/domain-names
| 参数 | 详情 | 描述 |
|---|---|---|
| name | 必需项 钢丝绳 | - |
| target | 必需项 钢丝绳 | - |
| project_id | 选修的 整数 | - |
| whois_notifications | 选修的 大批 | 通知处理程序 ID |
| whois_notifications_timing | 选修的 整数 | 允许的值:1, 2, 3, 7, 14, 30, 60 (天) |
| ssl_notifications | 选修的 大批 | 通知处理程序 ID |
| ssl_notifications_timing | 选修的 整数 | 允许的值:1, 2, 3, 7, 14, 30, 60 (天) |
| is_enabled | 选修的 布尔值 | - |
curl --request POST \
--url 'https://uptime.tedx.net/api/domain-names' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
--url 'https://uptime.tedx.net/api/domain-names' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
"data": {
"id": 1
}
}
POST https://uptime.tedx.net/api/domain-names/{domain_name_id}
| 参数 | 详情 | 描述 |
|---|---|---|
| name | 选修的 钢丝绳 | - |
| target | 选修的 钢丝绳 | - |
| project_id | 选修的 整数 | - |
| whois_notifications | 选修的 大批 | 通知处理程序 ID |
| whois_notifications_timing | 选修的 整数 | 允许的值:1, 2, 3, 7, 14, 30, 60 (天) |
| ssl_notifications | 选修的 大批 | 通知处理程序 ID |
| ssl_notifications_timing | 选修的 整数 | 允许的值:1, 2, 3, 7, 14, 30, 60 (天) |
| is_enabled | 选修的 布尔值 | - |
curl --request POST \
--url 'https://uptime.tedx.net/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://uptime.tedx.net/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
DELETE https://uptime.tedx.net/api/domain-names/{domain_name_id}
curl --request DELETE \
--url 'https://uptime.tedx.net/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime.tedx.net/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \